<?php

namespace WPIS;

class Client {

	static public function init() {
        $class = new Client();

        $class->wp_db = $GLOBALS['wpdb'];
		$class->wp_table_settings = $class->wp_db->prefix . 'wpis_settings';

        $enableImportCustomPostType = $class->wp_db->get_results("SELECT value FROM $class->wp_table_settings WHERE name = 'enableImportCustomPostType'");

        if( !empty($enableImportCustomPostType) && !$enableImportCustomPostType[0]->value ){
            add_action('wp_head', [$class, 'wpis_add_frontend_css']);
            add_action('wp_enqueue_scripts', [$class, 'wpis_add_frontend_js']);
        }
    }

    public function wpis_add_frontend_js($hook) {
        wp_enqueue_script('wpis_app', plugin_dir_url(__FILE__) . '../dist/wpis-client.js');
    }

    public function wpis_add_frontend_css() {
        echo '<link href="//use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous" rel="stylesheet">';
        echo '<link href="' . plugin_dir_url(__FILE__) . '../dist/wpis-client.css" rel="stylesheet">';
    }
}